### NAME

Tk_GetCapStyle, Tk_NameOfCapStyle - translate between strings and cap styles

### SYNOPSIS

#include <tk.h>
int
Tk_GetCapStyle(interp, string, capPtr)
char *
Tk_NameOfCapStyle(cap)

### ARGUMENTS

Tcl_Interp *interp (in)
  Interpreter to use for error reporting.

char *string (in)
  String containing name of cap style: one of ```butt'', ``projecting'', or ``round''.

int *capPtr (out)
  Pointer to location in which to store X cap style corresponding to string.

int cap (in)
  Cap style: one of CapButt, CapProjecting, or CapRound.

### DESCRIPTION

Tk_GetCapStyle places in *capPtr the X cap style corresponding to string. This will be one of the values CapButt, CapProjecting, or CapRound. Cap styles are typically used in X graphics contexts to indicate how the end-points of lines should be capped. See the X documentation for information on what each style implies.

Under normal circumstances the return value is TCL_OK and interp is unused. If string doesn't contain a valid cap style or an abbreviation of one of these names, then an error message is stored in interp->result, TCL_ERROR is returned, and *capPtr is unmodified.

Tk_NameOfCapStyle is the logical inverse of Tk_GetCapStyle. Given a cap style such as CapButt it returns a statically-allocated string corresponding to cap. If cap isn't a legal cap style, then ``unknown cap style'' is returned.

### KEYWORDS

butt, cap style, projecting, round

    Copyright © 1990 The Regents of the University of California.
    Copyright © 1994-1996 Sun Microsystems, Inc.
    Copyright © 1995-1997 Roger E. Critchlow Jr.